Does NI-Motion Support 64-Bit LabVIEW?

Updated Nov 28, 2019

Reported In

Software

  • LabVIEW
  • LabVIEW SoftMotion Module

Driver

  • NI-Motion

Issue Details

  • I want to use NI-Motion in LabVIEW 64-bit enviroment. Is this possible and supported by National Instruments?
  • I have LabVIEW 64-bit installed on my computer and I want to know if the NI-SoftMotion module will work with this LabVIEW version.

Solution

Neither NI-Motion nor NI-SoftMotion support any version of LabVIEW 64-bit. NI-Motion and NI-SoftMotion run as 32-bit applications, as stated in the readme files:
  • NI-Motion is compatible with 32-bit LabVIEW only. Therefore, you must have 32-bit LabVIEW installed even if you use a 64-bit OS.
  • The LabVIEW SoftMotion Module runs as a 32-bit application on all operating systems.

Note: both NI-Motion and NI-SoftMotion can be used on 64-bit Operating Systems. Refer to National Instruments Compatibility documentation for Operating Systems to find information if software is supported: National Instruments Product Compatibility for Microsoft Windows 10.
 

Additional Information

  • If there is need for more virtual memory, you can find limits of 32-bit applications with possible extension on How Much Memory Can LabVIEW 32-bit or 64-bit Allocate?
  • If you have NI-Motion installed and try opening examples or programs that use NI-Motion VIs and try to open it in LabVIEW 64-bit the VIs will appear as Question marks. Please open the VIs in 32-bit LabVIEW so that you can work with NI-Motion.
  • You can use the same activation key for both the 64 and 32-bit version.
  • LabVIEW 32-bit can be installed in parallel to a LabVIEW 64-bit version.